<?php



class TblbloghostMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblbloghostMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblbloghostPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblbloghostPeer::TABLE_NAME);
		$tMap->setPhpName('Tblbloghost');
		$tMap->setClassname('Tblbloghost');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('BH_HOST', 'BhHost', 'VARCHAR', true, 255);

		$tMap->addColumn('BH_BLOGNAME', 'BhBlogname', 'VARCHAR', false, 255);

		$tMap->addColumn('BH_HOSTCODE', 'BhHostcode', 'CHAR', false, 2);

	} 
} 